Announcement

Collapse
No announcement yet.

DB error on any change I make - pls help

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • DB error on any change I make - pls help

    Hi, I get this error when attempting to make any adjustments in my Admincp:

    Database error in vBulletin 3.0.0 Release Candidate 4:
    Invalid SQL: UPDATE usergroup SET
    ### UPDATE QUERY GENERATED BY fetch_query_sql() ###
    title = 'Unregistered / Not Logged In',
    description = '',
    usertitle = 'Guest',
    opentag = '',
    closetag = '',
    passwordexpires = '0',
    passwordhistory = '0',
    canseeraters = '0',
    avatarmaxwidth = '50',
    avatarmaxheight = '50',
    avatarmaxsize = '20000',
    profilepicmaxwidth = '100',
    profilepicmaxheight = '100',
    profilepicmaxsize = '100000',
    pmquota = '0',
    pmsendmax = '5',
    forumpermissions = '0',
    pmpermissions = '0',
    calendarpermissions = '17',
    wolpermissions = '1',
    adminpermissions = '0',
    genericpermissions = '65',
    genericoptions = '8'
    WHERE usergroupid=1
    mysql error: Unknown column 'canseeraters' in 'field list'
    mysql error number: 1054
    Date: Tuesday 16th of August 2005 02:36:09 PM
    Script: http://www.mysite.com/forum/admincp/usergroup.php
    Referer: http://www.mysite.com/forum/admincp/...&usergroupid=1
    Username: JackG
    IP Address: 70.107.204.31

    Why ?? how can I fix?
    Thanks in advance!
    JackG

  • #2
    What version of vBulletin are you running?
    Best Regards
    Colin Frei

    Please don't contact me per PM.

    Comment


    • #3
      The first thing you need to do is upgrade to 3.0.8. You are running an unstable and unsupported older version. I also believe that error is from a hack you've installed.
      Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
      Change CKEditor Colors to Match Style (for 4.1.4 and above)

      Steve Machol Photography


      Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


      Comment


      • #4
        <Moved to correct forum>
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          Do I "have" to upgrade? Can you just help me to fix this error?
          I do not have the time to go through an updrade right now ..but I do need to fix this.
          I have been a long time customer of Vb.
          JackG

          Comment


          • #6
            Try running this query:

            ALTER TABLE usergroup ADD canseeraters CHAR( 15 ) NOT NULL;


            If this works, tell me. Thanks.

            Comment


            • #7
              Hi ATI, sorry for the late reply.
              I will run this..is it safe to run?
              What exactly is it doing?

              Thanks
              JackG

              Comment


              • #8
                Nobody on staff wants to help?
                JackG

                Comment


                • #9
                  See post #3. Except now you need to upgrade to 3.0.9.
                  Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                  Change CKEditor Colors to Match Style (for 4.1.4 and above)

                  Steve Machol Photography


                  Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                  Comment


                  • #10
                    Anyone AT ALL (seeing that STAFF wont help) who will help get my forum functioning properly who wont tell me to upgrade Because I cannot at tthis time???

                    I mean dauym. Just asking for some help here.
                    JackG

                    Comment


                    • #11
                      Did you follow ATI4EVER's suggestion?
                      Best Regards
                      Colin Frei

                      Please don't contact me per PM.

                      Comment


                      • #12
                        We cannot provide support for 3.0.0 Release Candidate 4. If you want support you will need to upgrade.
                        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                        Change CKEditor Colors to Match Style (for 4.1.4 and above)

                        Steve Machol Photography


                        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                        Comment


                        • #13
                          Originally posted by Colin F
                          Did you follow ATI4EVER's suggestion?
                          Hi Colin, I would if someon can tell me what exactly that will do. you see I am trying to be very carefull becasue right now I cant afford the forum to get corrupted or go down. My time is limited and If I have to upgrade it will really cause me a lot of grief at this time.

                          What will that query do exactly?
                          JackG

                          Comment


                          • #14
                            That query will modify the database to add the field that is missing, which in turn is causing the error message.

                            While that probably won't restore the functionality this used, it's a quick fix to your problem.
                            It should also not corrupt anything, but it's always recommended to make a database backup.
                            Best Regards
                            Colin Frei

                            Please don't contact me per PM.

                            Comment


                            • #15
                              The reason we can't help with a release candidate version is because we make it clear to customers that we do not provide support for development releases, only for the (latest) stable release. The issue you get might be a bug, upgrading will possibly fix this. If it doesn't we can then look into it with more details ensuring it is not because of some development code.

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X